
#ifndef TSB_H
#define TSB_H

#include <View.h>
#include <Bitmap.h>

#include <math.h>

typedef ulong Index;

/*------------------------------------------------------------*/

class	TShowBit : public BView {

	public:

			BBitmap*	the_bitmap;
			BView*		artist;
			bool		busy;
			bool		exit_now;
			BRect		selection;
			BRect		userRect;

							TShowBit( BRect r, long flags );
	virtual					~TShowBit();
	virtual		void		Draw( BRect rect );

				// default arg is compiler error--why?
				// DrawView is not a BView member function.
	       		// void		DrawView( BRect rect = userRect );
	       		void		DrawView();
				void		Clear();
				void 		Lock();
				void 		Unlock();

	virtual		void		MouseDown( BPoint where );
				void 		Dispatch( Index );

				float Width()  const { return userRect.right - userRect.left; }
				float Height() const { return userRect.bottom - userRect.top; }

				long		limit_v( long v );
				long		limit_h( long h );
				BRect		sort_rect( BRect *aRect );
				void		clip( long *h, long *v );
				void		change_selection( long h, long v );
				char		has_selection();

				void		ZoomIn();
				void		ZoomOut();

		BView* Artist() { return artist; }
};

#endif
