
#ifndef WIN_H
#define WIN_H

// #include <interface/InterfaceDefs.h>
#include <interface/Window.h>
#include "tsb.h"

typedef ulong Index;

class BStringView;

class	TMainWindow : public BWindow {

	public:

 		TMainWindow( BRect bound, char* name, window_type type, long flags );

		virtual void MessageReceived(BMessage *an_event);
		virtual void FrameResized(float, float);
		virtual bool QuitRequested();

		// virtual void UpdateScrollBars();

		BView* Artist() { return the_view->Artist(); }

		void Draw();
		void Dispatch( Index );
		void Clear();
		void LockView();
		void UnlockView();

		void SetStateString( const char* );
		void SetCountString( const char* );

		BStringView* stateWidget;
		BStringView* countWidget;

	private:

		Index     viewIndex;
		TShowBit* the_view;
		BRect     bitmapRect;
};

#endif
